import { Routes } from '@angular/router';
import { DashboardComponent } from '@app/views/dashboard/dashboard.component';

import { EmployeeDetailComponent } from './views/employee-detail/employee-detail.component';

export const routes: Routes = [
    { path: '', component: DashboardComponent, title: 'Home' },
    { path: 'employee/new', component: EmployeeDetailComponent, title: 'New Employee' },
    { path: 'employee/:id', component: EmployeeDetailComponent, title: 'Edit Employee' }
];
