import { Component } from '@angular/core';
import { MatButton } from '@angular/material/button';

import { NotificationService, NotificationType } from '../../core/notification/notification.service';

@Component({
    selector: 'app-dashboard',
    imports: [MatButton],
    templateUrl: './dashboard.component.html',
    styleUrl: './dashboard.component.scss'
})
export class DashboardComponent {
    constructor(private notifications: NotificationService) { }
    testInfo() {
        this.notifications.publish('Cake', NotificationType.Information);
    }

    testError() {
        this.notifications.publish('Cake', NotificationType.Error);
    }}
